#!/bin/bash

PKGVER=$(awk '/^version:/ { print $2 }' ghc-ppa-tools.cabal)

declare -A DISTS=( [precise]='12.04'  [trusty]='14.04'  [xenial]='16.04'  [yakkety]='16.10' )

for DIST in "${!DISTS[@]}"; do
    echo $DIST --- ${DISTS[$DIST]}
    rm -fv debian/changelog
    dch --create -v "${PKGVER}~${DISTS[$DIST]}" -D "${DIST}" --package ghc-ppa-tools "Initial release"
    debuild -S
done
rm -fv debian/changelog
