#!/bin/bash

mkdir -p data/collection/lts

for N in lts-haskell/*.yaml; do
    
    M=$(basename $N .yaml)
    D=$(cd lts-haskell; TZ=UTC git log -n 1 --date=iso-strict-local --pretty=format:%cd $M.yaml)
    V=${M/#lts-}
    O=data/collection/lts/${V/./_}.freeze
    echo "stackage2cabal $M ${D/%+00:00/Z} < $N > $O"
    stackage2cabal $M ${D/%+00:00/Z} < $N > $O
done
